
CubeOutput vsMain(CubeInput Input)
{
	CubeOutput output;
	output.PositionScale = Input.PositionScale;
	output.Rotation = Input.Rotation;

	float scale = output.PositionScale.w;

	output.Color.xyz = (float3(1,1,1) - max(0, float3(0.7-scale*0.25,0.8-scale*0.28,0.76-scale*0.26)*0.5)+0.1) * 0.2;
	output.Color.xyz += max(0, 1.0 - scale*0.5);
	output.Color.w = 1.0;

	return output;
}